Blame SOURCES/ksh-20120801-parserfix.patch

61d8f4
--- ksh_20120801/src/cmd/ksh93/sh/lex.c	2012-06-12 21:05:18.000000000 +0200
61d8f4
+++ ksh_20120801/src/cmd/ksh93/sh/lex.c	2015-08-18 17:42:06.138076565 +0200
61d8f4
@@ -1603,7 +1603,14 @@ static int comsub(register Lex_t *lp, in
61d8f4
 				if(n==4)
61d8f4
 					break;
61d8f4
 				if(sh_lexstates[ST_NAME][c])
61d8f4
+				{
61d8f4
+					if(c==' ' || c=='\t')
61d8f4
+					{
61d8f4
+						n = 0;
61d8f4
+						continue;
61d8f4
+					}
61d8f4
 					goto skip;
61d8f4
+				}
61d8f4
 				word[n++] = c;
61d8f4
 			}
61d8f4
 			if(sh_lexstates[ST_NAME][c]==S_BREAK)
61d8f4
--- ksh_20120801/src/cmd/ksh93/tests/subshell.sh	2012-07-25 23:40:29.000000000 +0200
61d8f4
+++ ksh_20120801/src/cmd/ksh93/tests/subshell.sh	2015-08-18 17:42:06.143076553 +0200
61d8f4
@@ -617,4 +617,6 @@ do	if	[[ -e $f ]]
61d8f4
 	fi
61d8f4
 done
61d8f4
 
61d8f4
+$SHELL > /dev/null -c 'echo $(for x in whatever; do case y in *) true;; esac; done)' || err_exit 'syntax error with case in command substitution'
61d8f4
+
61d8f4
 exit $((Errors<125?Errors:125))